# Uses of Enum Class
org.eclipse.osgi.container.ModuleContainerAdaptor.ModuleEvent

Packages that use ModuleContainerAdaptor.ModuleEvent
Package
Description
org.eclipse.osgi.container
org.eclipse.osgi.storage

## Uses of ModuleContainerAdaptor.ModuleEvent in org.eclipse.osgi.container

Subclasses with type arguments of type ModuleContainerAdaptor.ModuleEvent in org.eclipse.osgi.container
Modifier and Type
Class
Description
`static enum`
`ModuleContainerAdaptor.ModuleEvent`
Event types that may be `published` for a module indicating a `state` change has occurred for a module.
Methods in org.eclipse.osgi.container that return ModuleContainerAdaptor.ModuleEvent
Modifier and Type
Method
Description
`static ModuleContainerAdaptor.ModuleEvent`
ModuleContainerAdaptor.ModuleEvent.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleContainerAdaptor.ModuleEvent[]`
ModuleContainerAdaptor.ModuleEvent.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.osgi.container with parameters of type ModuleContainerAdaptor.ModuleEvent
Modifier and Type
Method
Description
`ModuleRevisionBuilder`
ModuleContainerAdaptor.`adaptModuleRevisionBuilder(ModuleContainerAdaptor.ModuleEvent operation, Module origin, ModuleRevisionBuilder builder, Object revisionInfo)`
Allows a builder to be modified before it is used by the container.
`final boolean`
Module.`holdsTransitionEventLock(ModuleContainerAdaptor.ModuleEvent transitionEvent)`
Returns true if the current thread holds the state change lock for the specified transition event.
`protected final void`
Module.`lockStateChange(ModuleContainerAdaptor.ModuleEvent transitionEvent)`
Acquires the module lock for state changes by the current thread for the specified transition event.
`abstract void`
ModuleContainerAdaptor.`publishModuleEvent(ModuleContainerAdaptor.ModuleEvent type, Module module, Module origin)`
Publishes the specified module event type for the specified module.
`protected final void`
Module.`unlockStateChange(ModuleContainerAdaptor.ModuleEvent transitionEvent)`
Releases the lock for state changes for the specified transition event.

## Uses of ModuleContainerAdaptor.ModuleEvent in org.eclipse.osgi.storage

Methods in org.eclipse.osgi.storage with parameters of type ModuleContainerAdaptor.ModuleEvent
Modifier and Type
Method
Description
`ModuleRevisionBuilder`
BundleInfo.Generation.`adaptModuleRevisionBuilder(ModuleContainerAdaptor.ModuleEvent operation, Module origin, ModuleRevisionBuilder builder)`